4 Replies Latest reply: Nov 22, 2012 6:40 AM by jmz931 RSS

    simple jnlp question

      hello, I don't have much experience with jnlp... my question is about the jvm that launches the jnlp. I'm seeing a 'Java 7' when I open the jnlp file but I'm using the 1.6.0u37 jdk and haven't installed the 1.7 version
      Which version launches the jnlp and how? This is browser independent, isn't it?

        • 1. Re: simple jnlp question
          You must have a JRE 7 installed.
          • 2. Re: simple jnlp question
            EJP wrote:
            You must have a JRE 7 installed.
            Certainly not! The question was:
            Which version launches the jnlp and how?
            The answer is: the runtime installed, which just happens to be java 6. The second question was how: through Java webstart. Java 6 is perfectly capable to webstart software.

            Of course it will see that Java 7 is required in the JNLP file and then refuse service ;)

            Yeah yeah I know, you were drilling through to the real question behind the question. Just let me dream.
            • 3. Re: simple jnlp question
              Hello user1107924

              I think you were asking why does the Java splash screen show Java 7 when you only have Java 6 installed? I have seen this too.


              In my experience it has been when Java 7 has previously been installed and then uninstalled somehow the spash screen still shows a Java version that no longer exists. Not sure why. JWS is generally pretty flaky and there are a couple of people on these boards who are full of contempt for all questions which doesn't help (see the 2nd response).

              Edited by: matbroughty on Nov 22, 2012 8:50 AM
              • 4. Re: simple jnlp question
                thank you matbroughty!! that was exactly the screen I see.. maybe the person before I, installed and then uninstalled java 7 in this machine